Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.edr.store
Class AlarmData

    java.lang.Object
      com.bea.wlcp.wlng.edr.store.AlarmData

All Implemented Interfaces:
  Serializable

public class AlarmData
extends Object
implements Serializable

See Also:
  Serialized Form

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Constructor Summary
`AlarmData()`

Method Summary
`byte[]` | `getAdditionalInfo()`
`long` | `getAlarmId()`
`long` | `getIdentifier()`
`byte[]` | `getInfo()`
`int` | `getSeverity()`
`String` | `getSource()`
`long` | `getTimestamp()`
`void` | `setAdditionalInfo(byte[] additionalInfo)`
`void` | `setAlarmId(long alarmId)`
`void` | `setIdentifier(long identifier)`
`void` | `setInfo(byte[] info)`
`void` | `setSeverity(int severity)`
`void` | `setSource(String source)`
`void` | `setTimestamp(long timestamp)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlarmData

    public AlarmData()

Method Detail

### getAdditionalInfo

    public byte[] getAdditionalInfo()

### getAlarmId

    public long getAlarmId()

### getIdentifier

    public long getIdentifier()

### getInfo

    public byte[] getInfo()

### getSeverity

    public int getSeverity()

### getSource

    public String getSource()

### getTimestamp

    public long getTimestamp()

### setAdditionalInfo

    public void setAdditionalInfo(byte[] additionalInfo)

### setAlarmId

    public void setAlarmId(long alarmId)

### setIdentifier

    public void setIdentifier(long identifier)

### setInfo

    public void setInfo(byte[] info)

### setSeverity

    public void setSeverity(int severity)

### setSource

    public void setSource(String source)

### setTimestamp

    public void setTimestamp(long timestamp)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD